This Plugin works for Jomres 9.10.x and 9.11.x, and maybe 9.17.x, 9.18.x

You can get the new Jomres 9.11.x Plugin Manager here (click here)

This is a New Plugin Manager work around for Jomres. 

This update will let you:
1) Be able to install ALL Core Plugins without a License.
1) Be able to see your Jomres website, and install core plugins after your Subscription License expired, if you have that License.
2) Be able to see All your Core-Plugins in the Plugin Manager.
3) Be able to install Core Plugins thru the Third party installer, with or without a Jomres License.
4) Be able to uninstall Jomres Core-Plugins.
5) Be able to Install and Update ALL Jomres Plugins with these Licenses: Jomres Single License or Jomres Portal License

What this bypass plugin is doing is over riding the New Plugin Manager which has limitations to what License you sign up for. Limitations meaning what Core Plugins you can download.

 

========
OPTION 1  || 9.10.x and 9.11.x
========

If you have a License Key and Jomres Plugin Manager is Installed. This Plugin Manager might be encoded or not encoded but it will have limitations!

Download the "plugin_manager" plugin below and install it thru Jomres Third Party Installer:

http://www.fixmycomputermark.com/free-downloads/file/119-plugin_manager.html

 

Next, you may need to delete EVERYTHING inside the Jomres temp folder and then refresh your browser:

/jomres/temp/

 

========
OPTION 2  || Before v9.10.0
========

After you update Jomres from 9.9.6 to 9.9.19 you can make the following changes below.

First, save these files from Jomres 9.9.5:
/jomres/core-minicomponents/j16000showplugins.class.php
/jomres/libraries/jomres/classes/minicomponent_registry.class

(If you forgot to save the files from Jomres 9.9.5 here is the link to download it:
http://www.fixmycomputermark.com/free-downloads/file/118-jomres-9-9-5.html


Now copy the files above to a new folder "bypass_plugin" inside the remote_plugins folder below:
/jomres/remote_plugins/bypass_plugin/j16000showplugins.class.php
/jomres/remote_plugins/bypass_plugin/minicomponent_registry.class

 

For Jomres 9.10.1 Edit these lines in j16000showplugins.class.php from above:

From This (about line 45):
include JOMRESCONFIG_ABSOLUTE_PATH.JOMRES_ROOT_DIRECTORY.JRDS.'jomres_config.php';

To This (about line 45):
include JOMRESCONFIG_ABSOLUTE_PATH.JOMRES_ROOT_DIRECTORY.JRDS.'site_config.php';

From This (about line 46):
 $this_jomres_version = explode('.', $mrConfig[ 'version' ]);

To This (about line 46):
$this_jomres_version = explode('.', $jrConfig[ 'version' ]);

 

To Fix This Error Message: Error, class shortcode_parser doesn`t exist.

Open v9.9.5: /jomres/libraries/jomres/classes/minicomponent_registry.class.php 

Go to line: 128-132

Change this:

  //rebuild the shortcodes list
if (!defined('AUTO_UPGRADE')) {
$shortcode_parser = jomres_singleton_abstract::getInstance('shortcode_parser');
$shortcode_parser->build_shortcodes($force = true);
}

To this:

//rebuild the shortcodes list
if (!defined('AUTO_UPGRADE')) {
$jomres_shortcode_parser = jomres_singleton_abstract::getInstance('jomres_shortcode_parser');
$jomres_shortcode_parser->build_shortcodes($force = true);
}

 

Now Delete These New Installed Files:
/jomres/core-minicomponents/j16000key_saved_check.class (from v9.9.7)
/jomres/core-minicomponents/j16000plugin_manager_check.class.php

/jomres/core-minicomponents/j16000prices.class.php
/jomres/core-minicomponents/j16000show_license_message.class.php (from v9.9.8)

/jomres/core-minicomponents/j00060show_license_message.class.php

 

Next, Delete EVERYTHING inside the Jomres temp folder and refresh your browser:

/jomres/temp/

 

That's It!

===================================

 

========
OPTION 3  || This will work for v9.13.x, to v9.18.x
========

Just download the Plugin Manager here:

http://nwbooking.com/

===================================

Top Rated Locksmiths!
Copyrighted © 1958 - 2021 MarkErrington.com All rights reserved.